package edu.mermet.tp8;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;

public class XmlUtilisateur {

	private String nom;
	private Properties properties;
	private String chemin;

	public XmlUtilisateur() {
		this(System.getProperty("user.name"));
	}


	public XmlUtilisateur(String nom) {
		this.nom = nom;
		properties = new Properties();
		chemin = "src/main/resources/.ihm/"+ nom +".xml";
		try {
			properties.loadFromXML(new FileInputStream(chemin));
		} catch (IOException e) {
			System.out.println("Fichier utilisateur de "+ nom +" non existant ! Création objet utilisateur avec propriétés vides.");
		}
	}


	public String getNom() {
		return nom;
	}




	public void setProperty(String cle, String value) {
		properties.setProperty(cle, value);
	}


	public void enregistrer() {
		try {
			properties.storeToXML(new FileOutputStream(chemin), null);
		} catch (IOException e) {
			System.out.println("fichier utilisateur mal enregistre");
		}
	}

  public String getChemin() {
    return chemin;
  }

  public String getProperty(String cle) {
    String retour = properties.getProperty(cle);
    if(retour == null) {
      return "";
    }
    return retour;
  }
}
